$AdfDhtmlToolbarPeer$$.$_SUB_ID_MAP$ = {start_overflow_indicator:"soi", end_overflow_indicator:"eoi", start_overflow_container:"soc", end_overflow_container:"eoc"};
$AdfDhtmlToolbarPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlToolbarPeer$$$$$GetSubIdDomElement$$($itemValue$$7_subElementId$$68$$) {
  var $component$$2471_domElem$$20_domElement$$699$$ = this.$getComponent$();
  if ($component$$2471_domElem$$20_domElement$$699$$ = $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($itemValue$$7_subElementId$$68$$, $AdfDhtmlToolbarPeer$$.$_SUB_ID_MAP$, $component$$2471_domElem$$20_domElement$$699$$)) {
    return $component$$2471_domElem$$20_domElement$$699$$;
  }
  if ("item[" == $itemValue$$7_subElementId$$68$$.substr(0, 5)) {
    return $component$$2471_domElem$$20_domElement$$699$$ = this.$getDomElement$(), $itemValue$$7_subElementId$$68$$ = $itemValue$$7_subElementId$$68$$.substring(5, $itemValue$$7_subElementId$$68$$.lastIndexOf("]")), $AdfDomUtils$$.$getDescendentElement$($component$$2471_domElem$$20_domElement$$699$$, "TD", parseInt($itemValue$$7_subElementId$$68$$));
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlToolbarPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlToolbarPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlToolbarPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlToolbarPeer$$$$$GetBestMatchSubId$$($childElement$$40$$) {
  var $childItems$$1$$ = this.$getDomElement$().getElementsByTagName("TD");
  for (i = 0;i < $childItems$$1$$.length;i++) {
    if ($childElement$$40$$ === $childItems$$1$$[i]) {
      return "item[" + i + "]";
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$40$$, this, $AdfDhtmlToolbarPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlToolbarPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlToolbarPeer$$.prototype.$GetBestMatchSubId$});
